Bug 490367 - Horizontally rotated screen
Horizontally rotated screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
10
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 15:07 EDT by Paul Marques Mota
Modified: 2009-04-14 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 08:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (27.14 KB, text/plain)
2009-03-15 15:07 EDT, Paul Marques Mota
no flags Details
Rawhide's Xorg.0.log (64.20 KB, application/octet-stream)
2009-04-14 08:44 EDT, Paul Marques Mota
no flags Details
Rawhide's kernel messages (137.02 KB, application/octet-stream)
2009-04-14 08:46 EDT, Paul Marques Mota
no flags Details

  None (edit)
Description Paul Marques Mota 2009-03-15 15:07:21 EDT
Created attachment 335271 [details]
Xorg log

Description of problem:

The screen is rotated about 10 pixels to the right on a iMac G5.

Version-Release number of selected component (if applicable):

# rpm -qa|fgrep xorg-x11-drv-nv
xorg-x11-drv-nv-2.1.12-6.fc10.ppc

How reproducible:

always

Additional info:

see xorg log
Comment 1 Paul Marques Mota 2009-03-15 15:30:49 EDT
That effect only appears at maximum resolution, 1680x1050
Comment 2 Ben Skeggs 2009-04-08 21:59:08 EDT
Are you able to test the nouveau driver and see how things are for you there?
Comment 3 Paul Marques Mota 2009-04-09 10:35:13 EDT
I'll be able to burn an F11 beta cd this week-end, as the machine is not where I am.

I found out there's no nvidia drivers for ppc, so I assumed I was already using the nouveau driver.

Also note that the computer has a 64bits cpu running a 32bits driver, I'll check whether installing the 64bit driver help.

BTW, is there a way to debug that video driver or at least to get verbose logs ?
Comment 4 Ben Skeggs 2009-04-09 20:04:31 EDT
Unless you specifically set up the nouveau driver in F10, you would have been using the nv driver.  In F11 however, nouveau is the default.

Just the standard /var/log/Xorg.0.log and /var/log/messages are fine in this case.
Comment 5 Paul Marques Mota 2009-04-12 18:25:37 EDT
Using the F11 ppc beta netinstall make the computer freeze during the boot sequence. The fan make a lot of noise.

The last lines shown are (copied from hand):

Console: colour dummy device 80x25
console handover: boot [udbg0]-> real [tty0]
smp_core99_probe
Comment 6 Ben Skeggs 2009-04-12 22:19:55 EDT
It's not clear from that if it's nouveau at fault.  Can you successfully boot with vesa as the graphics driver?
Comment 7 Paul Marques Mota 2009-04-13 11:08:19 EDT
No, booting with boot option video=ofonly or video=vesa didn't change anything. The boot sequence hangs for a couple of minutes after those lasts lines I previously sent, then the computer reboot.
Comment 8 Paul Marques Mota 2009-04-14 08:41:41 EDT
(In reply to comment #2)
> Are you able to test the nouveau driver and see how things are for you there?  

A default installation of rawhide this morning fixed the problem. Thanks for your help!
Comment 9 Paul Marques Mota 2009-04-14 08:44:53 EDT
Created attachment 339482 [details]
Rawhide's Xorg.0.log
Comment 10 Paul Marques Mota 2009-04-14 08:46:48 EDT
Created attachment 339483 [details]
Rawhide's kernel messages
Comment 11 Paul Marques Mota 2009-04-14 08:50:08 EDT
(In reply to comment #4)
> Unless you specifically set up the nouveau driver in F10, you would have been
> using the nv driver.  In F11 however, nouveau is the default.
> 
> Just the standard /var/log/Xorg.0.log and /var/log/messages are fine in this
> case.  

I'm recording them here for completeness, although they seem fine to me.

Note You need to log in before you can comment on or make changes to this bug.